summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrei Karas <akaras@inbox.ru>2017-07-25 21:32:24 +0300
committerAndrei Karas <akaras@inbox.ru>2017-07-25 21:53:45 +0300
commite5017188ffc2bd3cd52f66edfdf979c9e4628a5d (patch)
treecf15174652da717fa019fa41b855a90171f3a96f
parentc90dda333db2ce7fdb217e43a114ed67087dbac6 (diff)
downloadclientdata-e5017188ffc2bd3cd52f66edfdf979c9e4628a5d.tar.gz
clientdata-e5017188ffc2bd3cd52f66edfdf979c9e4628a5d.tar.bz2
clientdata-e5017188ffc2bd3cd52f66edfdf979c9e4628a5d.tar.xz
clientdata-e5017188ffc2bd3cd52f66edfdf979c9e4628a5d.zip
Add checks for wrong new lines into .gitlab-ci.yml
-rw-r--r--.gitlab-ci.yml10
-rwxr-xr-x.tools/newlines.sh28
2 files changed, 38 insertions, 0 deletions
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index f4a2cad6..575df15b 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -45,6 +45,16 @@ manaplus:
when: always
expire_in: 3 week
+newlines:
+ stage: test
+ script:
+ - ./.tools/newlines.sh
+ artifacts:
+ paths:
+ - shared
+ when: always
+ expire_in: 3 week
+
pages:
stage: deploy
script:
diff --git a/.tools/newlines.sh b/.tools/newlines.sh
new file mode 100755
index 00000000..64cbf7e1
--- /dev/null
+++ b/.tools/newlines.sh
@@ -0,0 +1,28 @@
+#!/bin/bash
+
+source ./.tools/init.sh
+
+aptget_update
+aptget_install dos2unix git-core
+
+export LOG1="newlines.log"
+
+rm ${LOG1}
+
+find -H . -type f -name "*.xml" -exec dos2unix {} \; >${LOG1}
+
+export RES=$(git diff --name-only)
+if [[ -n "${RES}" ]]; then
+ echo "Wrong new lines detected in xml files:"
+ git diff --name-only
+ exit 1
+fi
+
+find -H . -type f -name "*.tmx" -exec dos2unix {} \; >>${LOG1}
+
+export RES=$(git diff --name-only)
+if [[ -n "${RES}" ]]; then
+ echo "Wrong new lines detected in tmx files:"
+ git diff --name-only
+ exit 1
+fi